#! /usr/bin/python
# Copyright (C) 2007, 2009 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Sends instructions to a running packager"""

import sys

import treepkgcmd
from treepkg.options import create_parser
from treepkg.readconfig import read_config
from treepkg.util import writefile

def main():
    options, args = create_parser().parse_args()

    if len(args) != 1:
        print >>sys.stderr, "The command to send to treepkg must be given"
        sys.exit(1)

    treepkg_opts, packager_opts = read_config(options.config_file)

    filename = treepkg_opts.get("instructions_file")
    if filename:
        writefile(filename, args[0])

main()
